<?php 
if(!current_user_can( 'administrator' ))
        return;
    if(isset($_POST['rfs_setting_submit'])){
    if ( !isset( $_POST['rfs_settings_nonce'] ) || !wp_verify_nonce( $_POST['rfs_settings_nonce'], basename( __FILE__ ) ) )
    return;
        $rfs_slider_height = (int)($_POST['rfs_slider_height']);
        $rfs_tab_bg_color = sanitize_hex_color($_POST['rfs_tab_bg_color']);
        $rfs_tab_text_color = sanitize_hex_color($_POST['rfs_tab_text_color']);
        $rfs_custom_css = sanitize_text_field($_POST['rfs_custom_css']);
  
        update_option("rfs_slider_height",$rfs_slider_height);
        update_option("rfs_tab_bg_color", $rfs_tab_bg_color);
        update_option("rfs_tab_text_color",$rfs_tab_text_color);
        update_option("rfs_custom_css",$rfs_custom_css);
      } 

        $rfs_slider_height = absint(get_option('rfs_slider_height'));
        $rfs_tab_bg_color = esc_attr(get_option('rfs_tab_bg_color'));
        $rfs_tab_text_color = esc_attr(get_option('rfs_tab_text_color'));
        $css = esc_attr(get_option('rfs_custom_css'));  

     ?>
     
<form method="post" class="rfs_setting">
  <h1>Resposnive Fashion slider</h1>     
    <table>            
        <tr>
            <td>Slider Height</td>
            <td valign="top"><input type="text" name="rfs_slider_height" value="<?php echo esc_attr( get_option('rfs_slider_height') ); ?>" /> px</td>
        </tr>
        <tr>
            <td>Tab Background Color</td>
            <td valign="top"><input type="text" name="rfs_tab_bg_color" value="<?php echo esc_attr( get_option('rfs_tab_bg_color') ); ?>" class="rfs-color-picker" data-default-color="#effeff"/></td>
        </tr>       
        <tr>
            <td>Tab Text Color</td>
            <td><input type="text" name="rfs_tab_text_color" value="<?php echo esc_attr( get_option('rfs_tab_text_color') ); ?>" class="rfs-color-picker" data-default-color="#effeff"/></td>
        </tr>       
        <tr>
            <td>Custom CSS</td>
            <td><textarea name="rfs_custom_css" id="customcss" class="customcss" placeholder="/* Custom Css */"><?php echo $css;?></textarea></td>
        </tr>
        <tr>
            <td><input type="submit" name="rfs_setting_submit" value="Save Setting" class="btn"></td>
        </tr> 
        </table>
        <?php wp_nonce_field( basename( __FILE__ ), 'rfs_settings_nonce' ); ?>
        </form>
    </div>
 