<?php
add_shortcode("rf_slider","rf_slider_shortcode");
if(!function_exists('rf_slider_shortcode')){
	function rf_slider_shortcode(){
		global $wpdb;
		global $post;
		$rfs_args = array(
			'posts_per_page'   => 5,
			'post_type'        => 'rf_slider',
			'post_status'      => 'publish'
		);
		$rfs_posts_array = get_posts( $rfs_args ); 
?>

<div id="rf-slider">
    <ul class="flip-items">
		<?php
		foreach ( $rfs_posts_array as $post ) : setup_postdata( $post );?>
			<li data-flip-title="<?php echo get_the_title(); ?>">
				<?php the_post_thumbnail('large');?>
			</li>
		<?php endforeach; ?> 
		</ul>
		</div>
		<?php
		wp_reset_postdata();
	}
}